////////////////////////////////////////////////////////////////////////////////
// $Header:   S:\3x\src\ntkm\ntdevpp\sampdrv\dlist.cpv   1.0   24 Jun 1996 16:24:24   JHUCKINS  $
// 
// INTEL Corporation Proprietary Information
// 
// This listing is supplied under the terms of a license agreement
// with INTEL Corporation and may not be copied nor disclosed except
// in accordance with the terms of that agreement.
// 
// Copyright (c) 1996 Intel Corporation. All rights reserved.
// 
// $Revision:   1.0  $
// $Date:   24 Jun 1996 16:24:24  $
// $Author:   JHUCKINS  $
// 
// Log at end of file.
// 
// Module Name:	dlist.cpp
// Author:		Jeff Huckins
// Abstract:	CDListEntry Implementation
// Environment:	Windows NT 3.51/4.0, MS Visual C++ 2.x
// Notes:
// 
////////////////////////////////////////////////////////////////////////////////

#pragma warning( disable: 4201 )	// nameless struct/union
#pragma warning( disable: 4514 )	// unreferenced inline function has been removed
#pragma warning( disable: 4699 )	// Note: Creating precompiled header
#pragma warning( disable: 4705 )	// statement has no effect

#include <idrivrpp.h>
#include "dlist.h"

////////////////////////////////////////////////////////////////////////////////
// ctor
//
CDListEntry::CDListEntry()
{
	m_Entry.This = this;
}


CDListEntry* CDList::RemoveAtTail( VOID )
{
	CDListEntry* EntryObject = NULL;
	
	if( NULL != m_Head )
	{
		PMYLIST_ENTRY Entry = (PMYLIST_ENTRY) RemoveTailList( (PLIST_ENTRY) *m_Head );
		if( NULL != Entry )
		{
			EntryObject = Entry->This;
		}
	}

	return EntryObject;
}
