//	******************************************************
//	*  Module Name:	SAMPDRV.H
//	*  Abstract:	CSample DriverObject class declaration
//	*  Environment:
//	*
//	*  Notes:
//	* <Assumptions>
//	* <Other of interest>
//	*
//	******************************************************
#ifndef SAMPDRV_H
#define SAMPDRV_H

#include <idrivrpp.h>

class SampleDriver : public CDriverObject 
{
  public:
      SampleDriver();

      virtual ~SampleDriver();

  protected:
      SampleDriver(const SampleDriver &right);

      //	Virtual from CDriverObject
      virtual NTSTATUS OnInitialize(PUNICODE_STRING RegistryPath);

      //	Virtual from CDriverObject
      virtual VOID OnUnload();

      //	Pure virtual from CDriverObject to create a derived
      //	CDeviceObject object.
      virtual NTSTATUS CreateDevices(VOID);
};

#endif
